Skip to content

Execution of untrusted code through config file

Moderate
SteveMcGrath published GHSA-8278-88vv-x98r Mar 6, 2021

Package

pip tenable-jira-cloud (pip)

Affected versions

<1.1.21

Patched versions

1.1.21

Description

Impact

It is possible to run arbitrary commands through the yaml.load() method. This could allow an attacker with local access to the host to run arbitrary code by running the application with a specially crafted YAML configuration file.

Patches

1.1.21 Code changes

Workarounds

Manually adjust yaml.load() to yaml.safe_load()

References

https://pyyaml.docsforge.com/master/documentation/#loading-yaml

For more information

If you have any questions or comments about this advisory:

CVE ID

CVE-2021-21371

Credits